Subject: Re: [RFC PATCH v3 00/15] Modernize the build system

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 24 Oct 2024 09:20:03 +0200

On Wed, Oct 23, 2024 at 04:15:12PM -0400, Taylor Blau wrote:
> On Wed, Oct 23, 2024 at 02:04:17PM +0200, Patrick Steinhardt wrote:
> > On Fri, Oct 18, 2024 at 05:09:43PM -0400, Taylor Blau wrote:
> > > On Fri, Oct 18, 2024 at 02:23:47PM +0200, Patrick Steinhardt wrote:
> > > > This series is based on 15030f9556 (The second batch, 2024-10-15) and
> > > > has the following dependencies:
> > > >
> > > >   - ps/cmake-clar at c6d3e52c91 (cmake: set up proper
> > > >     dependencies for generated clar headers, 2024-10-15).
> > > >
> > > >   - ps/upgrade-clar at f3501edb0e (Makefile: adjust sed command for
> > > >     generating "clar-decls.h", 2024-10-14).
> > > >
> > > >   - ps/platform-compat-fixes at 80ebd91b83 (http: fix build error on
> > > >     FreeBSD, 2024-10-16).
> > > >
> > > > These deps are mostly just there to make tests pass on all platforms,
> > > > but I wouldn't want folks to go test things and discover breakage that
> > > > is not caused by Meson itself :) You can also find this version of the
> > > > patch series at [1], branch "pks-meson-v3". @Taylor, I'm fine with
> > > > keeping this out of "seen" if you prefer to wait for those dependencies
> > > > to land first.
> > >
> > > Of the three, only the last one is marked as "Will merge to 'next'?" in
> > > the next integration round[^1]. All three are in 'seen', so this should
> > > apply cleanly on top of those.
> > >
> > > What is the state of those first two topics? Are they ready to go, or
> > > are we expecting a new round for any of them?
> >
> > These have been merged into a single topic now and should be ready to go
> > from my point of view. But they still require reviews.
> 
> OK, so: ps/platform-compat-fixes is in 'next', and ps/cmake-clar has
> been folded into ps/upgrade-clar. Have all three have been combined into
> ps/build?
> 
> If so, should this topic be rebuilt on ps/upgrade-clar so that we don't
> see the same patches twice, perhaps? Or am I still missing something
> here?

No, you don't miss anything here, rebuilding this on top of
ps/upgrade-clar plus ps/platform-compat-fixes is exactly the right thing
to do.

Patrick